Open CASCADE Technology: AdvApp2Var_ApproxF2var Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
AdvApp2Var_ApproxF2var Class Reference

`#include <AdvApp2Var_ApproxF2var.hxx>`

## Static Public Member Functions
static int | mma2fnc_ (integer *ndimen, integer *nbsesp, integer *ndimse, doublereal *uvfonc, const AdvApp2Var_EvaluatorFunc2Var &foncnp, doublereal *tconst, integer *isofav, integer *nbroot, doublereal *rootlg, integer *iordre, integer *ideriv, integer *ndgjac, integer *nbcrmx, integer *ncflim, doublereal *epsapr, integer *ncoeff, doublereal *courbe, integer *nbcrbe, doublereal *somtab, doublereal *diftab, doublereal *contr1, doublereal *contr2, doublereal *tabdec, doublereal *errmax, doublereal *errmoy, integer *iercod)
static int | mma2roo_ (integer *nbpntu, integer *nbpntv, doublereal *urootl, doublereal *vrootl)
static int | mma2jmx_ (integer *ndgjac, integer *iordre, doublereal *xjacmx)
static int | mmapptt_ (const integer *, const integer *, const integer *, doublereal *, integer *)
static int | mma2cdi_ (integer *ndimen, integer *nbpntu, doublereal *urootl, integer *nbpntv, doublereal *vrootl, integer *iordru, integer *iordrv, doublereal *contr1, doublereal *contr2, doublereal *contr3, doublereal *contr4, doublereal *sotbu1, doublereal *sotbu2, doublereal *ditbu1, doublereal *ditbu2, doublereal *sotbv1, doublereal *sotbv2, doublereal *ditbv1, doublereal *ditbv2, doublereal *sosotb, doublereal *soditb, doublereal *disotb, doublereal *diditb, integer *iercod)
static int | mma2ds1_ (integer *ndimen, doublereal *uintfn, doublereal *vintfn, const AdvApp2Var_EvaluatorFunc2Var &foncnp, integer *nbpntu, integer *nbpntv, doublereal *urootb, doublereal *vrootb, integer *isofav, doublereal *sosotb, doublereal *disotb, doublereal *soditb, doublereal *diditb, doublereal *fpntab, doublereal *ttable, integer *iercod)
static int | mma2ce1_ (integer *numdec, integer *ndimen, integer *nbsesp, integer *ndimse, integer *ndminu, integer *ndminv, integer *ndguli, integer *ndgvli, integer *ndjacu, integer *ndjacv, integer *iordru, integer *iordrv, integer *nbpntu, integer *nbpntv, doublereal *epsapr, doublereal *sosotb, doublereal *disotb, doublereal *soditb, doublereal *diditb, doublereal *patjac, doublereal *errmax, doublereal *errmoy, integer *ndegpu, integer *ndegpv, integer *itydec, integer *iercod)
static int | mma2can_ (const integer *, const integer *, const integer *, const integer *, const integer *, const integer *, const integer *, const doublereal *, doublereal *, doublereal *, integer *)
static int | mma1her_ (const integer *, doublereal *, integer *)
static int | mma2ac2_ (const integer *, const integer *, const integer *, const integer *, const integer *, const integer *, const doublereal *, const integer *, const doublereal *, const doublereal *, doublereal *)
static int | mma2ac3_ (const integer *, const integer *, const integer *, const integer *, const integer *, const integer *, const doublereal *, const integer *, const doublereal *, const doublereal *, doublereal *)
static int | mma2ac1_ (const integer *, const integer *, const integer *, const integer *, const integer *, const doublereal *, const doublereal *, const doublereal *, const doublereal *, const doublereal *, const doublereal *, doublereal *)
static int | mma2fx6_ (integer *ncfmxu, integer *ncfmxv, integer *ndimen, integer *nbsesp, integer *ndimse, integer *nbupat, integer *nbvpat, integer *iordru, integer *iordrv, doublereal *epsapr, doublereal *epsfro, doublereal *patcan, doublereal *errmax, integer *ncoefu, integer *ncoefv)

## Member Function Documentation

static int AdvApp2Var_ApproxF2var::mma1her_ | ( | const integer * | ,
|  | doublereal * | ,
|  | integer * |
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2ac1_ | ( | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | doublereal * |
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2ac2_ | ( | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | doublereal * |
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2ac3_ | ( | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | const doublereal * | ,
|  | doublereal * |
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2can_ | ( | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | const doublereal * | ,
|  | doublereal * | ,
|  | doublereal * | ,
|  | integer * |
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2cdi_ | ( | integer * | ndimen,
|  | integer * | nbpntu,
|  | doublereal * | urootl,
|  | integer * | nbpntv,
|  | doublereal * | vrootl,
|  | integer * | iordru,
|  | integer * | iordrv,
|  | doublereal * | contr1,
|  | doublereal * | contr2,
|  | doublereal * | contr3,
|  | doublereal * | contr4,
|  | doublereal * | sotbu1,
|  | doublereal * | sotbu2,
|  | doublereal * | ditbu1,
|  | doublereal * | ditbu2,
|  | doublereal * | sotbv1,
|  | doublereal * | sotbv2,
|  | doublereal * | ditbv1,
|  | doublereal * | ditbv2,
|  | doublereal * | sosotb,
|  | doublereal * | soditb,
|  | doublereal * | disotb,
|  | doublereal * | diditb,
|  | integer * | iercod
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2ce1_ | ( | integer * | numdec,
|  | integer * | ndimen,
|  | integer * | nbsesp,
|  | integer * | ndimse,
|  | integer * | ndminu,
|  | integer * | ndminv,
|  | integer * | ndguli,
|  | integer * | ndgvli,
|  | integer * | ndjacu,
|  | integer * | ndjacv,
|  | integer * | iordru,
|  | integer * | iordrv,
|  | integer * | nbpntu,
|  | integer * | nbpntv,
|  | doublereal * | epsapr,
|  | doublereal * | sosotb,
|  | doublereal * | disotb,
|  | doublereal * | soditb,
|  | doublereal * | diditb,
|  | doublereal * | patjac,
|  | doublereal * | errmax,
|  | doublereal * | errmoy,
|  | integer * | ndegpu,
|  | integer * | ndegpv,
|  | integer * | itydec,
|  | integer * | iercod
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2ds1_ | ( | integer * | ndimen,
|  | doublereal * | uintfn,
|  | doublereal * | vintfn,
|  | const AdvApp2Var_EvaluatorFunc2Var & | foncnp,
|  | integer * | nbpntu,
|  | integer * | nbpntv,
|  | doublereal * | urootb,
|  | doublereal * | vrootb,
|  | integer * | isofav,
|  | doublereal * | sosotb,
|  | doublereal * | disotb,
|  | doublereal * | soditb,
|  | doublereal * | diditb,
|  | doublereal * | fpntab,
|  | doublereal * | ttable,
|  | integer * | iercod
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2fnc_ | ( | integer * | ndimen,
|  | integer * | nbsesp,
|  | integer * | ndimse,
|  | doublereal * | uvfonc,
|  | const AdvApp2Var_EvaluatorFunc2Var & | foncnp,
|  | doublereal * | tconst,
|  | integer * | isofav,
|  | integer * | nbroot,
|  | doublereal * | rootlg,
|  | integer * | iordre,
|  | integer * | ideriv,
|  | integer * | ndgjac,
|  | integer * | nbcrmx,
|  | integer * | ncflim,
|  | doublereal * | epsapr,
|  | integer * | ncoeff,
|  | doublereal * | courbe,
|  | integer * | nbcrbe,
|  | doublereal * | somtab,
|  | doublereal * | diftab,
|  | doublereal * | contr1,
|  | doublereal * | contr2,
|  | doublereal * | tabdec,
|  | doublereal * | errmax,
|  | doublereal * | errmoy,
|  | integer * | iercod
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2fx6_ | ( | integer * | ncfmxu,
|  | integer * | ncfmxv,
|  | integer * | ndimen,
|  | integer * | nbsesp,
|  | integer * | ndimse,
|  | integer * | nbupat,
|  | integer * | nbvpat,
|  | integer * | iordru,
|  | integer * | iordrv,
|  | doublereal * | epsapr,
|  | doublereal * | epsfro,
|  | doublereal * | patcan,
|  | doublereal * | errmax,
|  | integer * | ncoefu,
|  | integer * | ncoefv
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2jmx_ | ( | integer * | ndgjac,
|  | integer * | iordre,
|  | doublereal * | xjacmx
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mma2roo_ | ( | integer * | nbpntu,
|  | integer * | nbpntv,
|  | doublereal * | urootl,
|  | doublereal * | vrootl
| ) |  |
| static

static int AdvApp2Var_ApproxF2var::mmapptt_ | ( | const integer * | ,
|  | const integer * | ,
|  | const integer * | ,
|  | doublereal * | ,
|  | integer * |
| ) |  |
| static

The documentation for this class was generated from the following file:

- AdvApp2Var_ApproxF2var.hxx